config() {
  NEW="$1.new"
  OLD="$1"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for netpkg to consider...
}

mychmod() {
  if [ -a $2.new ]; then
    chmod $1 $2.new
  else
    chmod $1 $2
  fi
}

mychown() {
  if [ -a $2.new ]; then
    chown $1 $2.new
  else
    chown $1 $2
  fi
}


mycreatedir() {
if [ ! -d $1 ] ; then
        mkdir -p $1
fi
}


# check if required user & groups exist &
# otherwise add them
if ! grep -q amavis /etc/group; then
        groupadd amavis
fi
if ! grep -q amavis /etc/passwd; then
        useradd -g amavis -d /var/lib/amavis -c 'Amavisd-New' -s /bin/false amavis
fi

if grep -q clamav /etc/group; then
        usermod -G clamav amavis
fi

if [ -a /etc/clamav/clamd.conf ] ; then
        sed -i 's/\(.*AllowSupplementaryGroups *\)no\(.*\)/\1yes\2/g' /etc/clamav/clamd.conf
fi

mycreatedir var/lib/amavis/home
mycreatedir var/lib/amavis/tmp
mycreatedir var/lib/amavis/var
mycreatedir var/lib/amavis/db
mycreatedir var/lib/amavis/quarantine

config etc/amavis/amavisd.conf
config etc/rc.d/rc.amavisd


mychown amavis:amavis var/lib/amavis/home
mychown amavis:amavis var/lib/amavis/tmp
mychown amavis:amavis var/lib/amavis/var
mychown amavis:amavis var/lib/amavis/db
mychown amavis:amavis var/lib/amavis/quarantine

mychmod 750 var/lib/amavis/home
mychmod 750 var/lib/amavis/tmp
mychmod 750 var/lib/amavis/var
mychmod 750 var/lib/amavis/db
mychmod 750 var/lib/amavis/quarantine

mychown root:amavis etc/amavis/amavisd.conf
mychmod 640 etc/amavis/amavisd.conf

chown -R amavis:amavis var/lib/amavis
chmod -R 750 var/lib/amavis


